Name: licq
Version: 1.3.4
Release: 3%{?dist}
License: GPL
Source0: http://prdownloads.sourceforge.net/licq/licq-%{version}.tar.gz
Source1: http://prdownloads.sourceforge.net/icqnd/icqnd-0.1.9.6.tar.bz2
URL: http://www.licq.org/
Summary: Licq - A graphical ICQ Client for Linux
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: htmlview
BuildRequires: qt-devel
BuildRequires: gpgme-devel libgpg-error-devel 
BuildRequires: openssl-devel
BuildRequires: desktop-file-utils
BuildRequires: libXScrnSaver-devel
BuildRequires: gettext, automake, libtool

%package kde
Summary: Licq plugin for KDE
Group: Applications/Internet
Requires: %name = %version-%release
BuildRequires: kdelibs-devel

%package osd
Summary: OSD (On Screen Display) plugin for Licq
Group: Applications/Internet
Requires: %name = %version-%release
BuildRequires: xosd-devel

%package msn
Summary: MSN protocol plugin for Licq
Group: Applications/Internet
Requires: %name = %version-%release

%package icqnd
Summary: gtk2 gui for Licq.
Group: Applications/Internet
Requires: %name = %version-%release
BuildRequires: gtk2-devel

%package auto-reply
Summary: Auto-reply plugin for Licq.
Group: Applications/Internet
Requires: %name = %version-%release

%description
Licq is a ICQ Client for the common ICQ network. It provides a graphical
user interface based on QT and is enhanceable with many powerful plugins.
For more information visit Licq's Homepage http://www.licq.org

%description kde
This is the KDE based GUI plugin for Licq.
To run this plugin, you will have to
issue the command "licq -p kde-gui"

%description osd
This is a small plugin, which uses libxosd2 to
display new arriving messages as OSD (On Screen Display)
text on your desktop.

%description msn
This is a MSN protocol plugin for Licq.

%description icqnd
A New GTK2 Gui! This one looks like it has many features already and should be used instead of the other GTK plugins.

%description auto-reply
Plugin to automatically respond to any incoming event with the output of a given program, which can be passed user arguments, or event the message text itself. Often used in conjunction with "fortune" to send people fortunes. Also included in the main distribution.

%prep
%setup -q
tar -C plugins -xjf %{SOURCE1}

#remove cvs stuff
rm -rf `find . -name CVS`

%build
export CFLAGS="$RPM_OPT_FLAGS"
export KDEDIR=/usr/%_lib

#fix libdir issues
sed -i s/lib/%{_lib}/ include/licq_constants.h
sed -i "s/^libdir/#libdir/" plugins/icqnd-0.1.9.6/src/Makefile.am

%configure
make
cd plugins
  cp -r qt-gui kde-gui
  cd kde-gui
  aclocal
  automake
  perl am_edit {src/,share/,po/}Makefile.in
  autoconf
  %configure \
     --with-kde \
     --libdir=%{_libdir}/ \
     --with-qt-includes=%{_libdir}/qt-3.3/include \
     --with-qt-libraries=%{_libdir}/qt-3.3/lib/ \
     --with-qt-moc=%{_libdir}/qt-3.3/bin/moc
  make
cd ../qt-gui
  aclocal
  automake
  perl am_edit {src/,share/,po/}Makefile.in
  autoconf
  %configure \
     --libdir=%{_libdir}/ \
     --with-qt-includes=%{_libdir}/qt-3.3/include \
     --with-qt-libraries=%{_libdir}/qt-3.3/lib/ \
     --with-qt-moc=%{_libdir}/qt-3.3/bin/moc
  make
cd ../osd
  %configure --libdir=%{_libdir}/
  make
cd ../msn
  %configure --libdir=%{_libdir}/
  make
cd ../icqnd-0.1.9.6
  aclocal
  automake
  autoconf
  %configure --libdir=%{_libdir}/licq \
    --with-licq-includes=%{_builddir}/%{buildsubdir}/include
  make
cd ../auto-reply
  %configure --libdir=%{_libdir}/
  make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
cd plugins/qt-gui
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        share/licq.desktop
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang licq

cd ../kde-gui
make DESTDIR=$RPM_BUILD_ROOT install
cd ../osd
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang licq_osd_plugin

cd ../msn
make DESTDIR=$RPM_BUILD_ROOT install
cd ../icqnd-0.1.9.6
make DESTDIR=$RPM_BUILD_ROOT install
cd ../auto-reply
make DESTDIR=$RPM_BUILD_ROOT install

#remove devel 
rm -rf $RPM_BUILD_ROOT/%{_includedir}/licq
rm -rf $RPM_BUILD_ROOT/%{_libdir}/licq/*.la
rm -r  $RPM_BUILD_ROOT/%{_datadir}/applications/licq.desktop
rm -r  $RPM_BUILD_ROOT/%{_datadir}/applications/kde/licq.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f plugins/qt-gui/licq.lang
%defattr(-,root,root)
%{_bindir}/licq
%{_bindir}/viewurl-lynx.sh
%{_bindir}/viewurl-mozilla.sh
%{_bindir}/viewurl-ncftp.sh
%{_bindir}/viewurl-netscape.sh
%{_bindir}/viewurl-opera.sh
%{_bindir}/viewurl-w3m.sh
%{_bindir}/viewurl-firefox.sh
%{_bindir}/viewurl-seamonkey.sh
%dir %{_libdir}/licq
%{_libdir}/licq/licq_qt-gui.so
%{_datadir}/licq
%lang(bg) %{_datadir}/licq/qt-gui/locale/bg_BG.qm
%lang(cs) %{_datadir}/licq/qt-gui/locale/cs_CZ.qm
%lang(cs) %{_datadir}/licq/qt-gui/locale/cs.qm
%lang(de) %{_datadir}/licq/qt-gui/locale/de.qm
%lang(es) %{_datadir}/licq/qt-gui/locale/es.qm
%lang(fi) %{_datadir}/licq/qt-gui/locale/fi.qm
%lang(fr) %{_datadir}/licq/qt-gui/locale/fr.qm
%lang(hu) %{_datadir}/licq/qt-gui/locale/hu_HU.qm
%lang(it) %{_datadir}/licq/qt-gui/locale/it.qm
%lang(ja) %{_datadir}/licq/qt-gui/locale/ja_JP.eucJP.qm
%lang(pl) %{_datadir}/licq/qt-gui/locale/pl.qm
%lang(pt) %{_datadir}/licq/qt-gui/locale/pt_BR.qm
%lang(pt) %{_datadir}/licq/qt-gui/locale/pt.qm
%lang(ru) %{_datadir}/licq/qt-gui/locale/ru.qm
%lang(sr) %{_datadir}/licq/qt-gui/locale/sr.qm
%lang(sv) %{_datadir}/licq/qt-gui/locale/sv.qm
%lang(tr) %{_datadir}/licq/qt-gui/locale/tr.qm
%lang(uk) %{_datadir}/licq/qt-gui/locale/uk.qm
%{_datadir}/applications/fedora-licq.desktop
%doc doc/ upgrade/ README* LICENSE

%files kde
%defattr(-,root,root)
%{_libdir}/licq/licq_kde-gui.so
%doc plugins/kde-gui/README.KDE

%files osd -f plugins/osd/licq_osd_plugin.lang
%defattr(-,root,root)
%{_libdir}/licq/licq_osd.so
%doc plugins/osd*/{AUTHORS,TODO,README,changelog}

%files msn
%defattr(-,root,root)
%{_libdir}/licq/protocol_msn.so
%doc plugins/msn/README

%files icqnd
%defattr(-,root,root)
%{_libdir}/licq/licq_icqnd.so

%files auto-reply
%defattr(-,root,root)
%{_libdir}/licq/licq_autoreply.so
%doc plugins/auto-reply/{README,licq_autoreply.conf,examples}

%changelog
* Tue Feb 27 2007 Peter Vrabec <pvrabec@redhat.com> 1.3.4-3
- provide new plugins

* Sat Sep 28 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.4-2
- fix desktop-file-install

* Fri Sep 27 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.4-1
- upgrade

* Mon Sep 18 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-10
- rebuilt

* Wed Jul 26 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-9
- fix build requires (#200120)

* Mon Jun 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-8
- htmlview is default url viewer(#193959)

* Mon Apr 11 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-7
- fix auto away,  it requires libXScrnSaver-devel

* Fri Mar 03 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-6
- use correct lib-path for plugins on x86-64 (#182733)

* Mon Feb 27 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-5
- rebuild

* Mon Jan 16 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-4
- compile on x86-64

* Thu Jan 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-3
- remove devel stuff with rm -rf

* Thu Jan 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-2
- compile with gcc-4.1.0

* Wed Nov 23 2005 Peter Vrabec <pvrabec@redhat.com> 1.3.2-1
- initial package 

